package fyi.gitmoss.nownoticed.ui.home

import android.content.Context
import androidx.lifecycle.LiveData
import androidx.lifecycle.MutableLiveData
import androidx.lifecycle.ViewModel
import fyi.gitmoss.nownoticed.R
import kotlin.random.Random

class HomeViewModel() : ViewModel() {

    private val _text = MutableLiveData<String>().apply {

        // Get the string array from resources
        val array: Array<String> = context.resources.getStringArray(R.array.moments)

        // Get a random index from the array
        val randomIndex = Random.nextInt(array.size)

        // Set the value to a random element from the array
        value = "Welcome"
    }

    // Expose the LiveData
    val text: LiveData<String> = _text
}
